package nc.ui.gl.assattributedetail;

import java.awt.Insets;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import javax.swing.JFrame;
import nc.ui.gl.assattributedetail.AssDetailModel;
import nc.ui.gl.assattributedetail.AssDetailView;
import nc.ui.gl.assattributedetail.ButtonKey;
import nc.ui.glpub.IParent;
import nc.ui.glpub.IUiPanel;
import nc.ui.ml.NCLangRes;
import nc.ui.pub.ButtonObject;
import nc.ui.pub.ToftPanel;
import nc.vo.glcom.balance.GlQueryVO;

public class ToftPanelView extends ToftPanel implements IUiPanel {

   public IParent p_parent;
   public IUiPanel m_next;
   protected ButtonObject[] m_Buttons = null;
   private AssDetailView ivjAssDetailView = null;


   public ToftPanelView() {
      this.initialize();
   }

   public void addListener(Object objListener, Object objUserdata) {
   }

   private AssDetailView getAssDetailView() {
      if(this.ivjAssDetailView == null) {
         try {
            this.ivjAssDetailView = new AssDetailView();
            this.ivjAssDetailView.setName("AssDetailView");
         } catch (Throwable var2) {
            this.handleException(var2);
         }
      }

      return this.ivjAssDetailView;
   }

   public String getTitle() {
      return NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000470");
   }

   private void handleException(Throwable exception) {
   }

   protected void initButtons() {
      this.m_Buttons = new ButtonObject[8];
      this.m_Buttons[0] = new ButtonObject(ButtonKey.bnQRY);
      this.m_Buttons[0].setTag(ButtonKey.bnQRY);
      this.m_Buttons[0].setName(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000176"));
      this.m_Buttons[1] = new ButtonObject(ButtonKey.bnLC);
      this.m_Buttons[1].setTag(ButtonKey.bnLC);
      this.m_Buttons[1].setName(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000305"));
      this.m_Buttons[2] = new ButtonObject(ButtonKey.bnPrint);
      this.m_Buttons[2].setTag(ButtonKey.bnPrint);
      this.m_Buttons[2].setName(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000181"));
      this.m_Buttons[3] = new ButtonObject(ButtonKey.bnFirst);
      this.m_Buttons[3].setTag(ButtonKey.bnFirst);
      this.m_Buttons[4] = new ButtonObject(ButtonKey.bnPriv);
      this.m_Buttons[4].setTag(ButtonKey.bnPriv);
      this.m_Buttons[5] = new ButtonObject(ButtonKey.bnNext);
      this.m_Buttons[5].setTag(ButtonKey.bnNext);
      this.m_Buttons[6] = new ButtonObject(ButtonKey.bnEnd);
      this.m_Buttons[6].setTag(ButtonKey.bnEnd);
      this.m_Buttons[7] = new ButtonObject(ButtonKey.bnReturn);
      this.m_Buttons[7].setTag(ButtonKey.bnReturn);
      this.m_Buttons[7].setName(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000184"));
      this.m_Buttons[7].setVisible(false);
      this.setButtons(this.m_Buttons);
   }

   protected void initButtonsForLC() {
      this.m_Buttons = new ButtonObject[8];
      this.m_Buttons[0] = new ButtonObject(ButtonKey.bnQRY);
      this.m_Buttons[0].setTag(ButtonKey.bnQRY);
      this.m_Buttons[0].setVisible(false);
      this.m_Buttons[1] = new ButtonObject(ButtonKey.bnLC);
      this.m_Buttons[1].setTag(ButtonKey.bnLC);
      this.m_Buttons[2] = new ButtonObject(ButtonKey.bnPrint);
      this.m_Buttons[2].setTag(ButtonKey.bnPrint);
      this.m_Buttons[3] = new ButtonObject(ButtonKey.bnFirst);
      this.m_Buttons[3].setTag(ButtonKey.bnFirst);
      this.m_Buttons[3].setVisible(false);
      this.m_Buttons[4] = new ButtonObject(ButtonKey.bnPriv);
      this.m_Buttons[4].setTag(ButtonKey.bnPriv);
      this.m_Buttons[4].setVisible(false);
      this.m_Buttons[5] = new ButtonObject(ButtonKey.bnNext);
      this.m_Buttons[5].setTag(ButtonKey.bnNext);
      this.m_Buttons[5].setVisible(false);
      this.m_Buttons[6] = new ButtonObject(ButtonKey.bnEnd);
      this.m_Buttons[6].setTag(ButtonKey.bnEnd);
      this.m_Buttons[6].setVisible(false);
      this.m_Buttons[7] = new ButtonObject(ButtonKey.bnReturn);
      this.m_Buttons[7].setTag(ButtonKey.bnReturn);
      this.m_Buttons[7].setVisible(true);
      this.setButtons(this.m_Buttons);
   }

   private void initialize() {
      try {
         this.setName("ToftPanelView");
         this.setSize(774, 419);
         this.add(this.getAssDetailView(), "Center");
      } catch (Throwable var2) {
         this.handleException(var2);
      }

      this.initButtons();
      this.getAssDetailView().setBillModel(new AssDetailModel());
   }

   public Object invoke(Object objData, Object objUserData) {
      if(objUserData != null && objUserData.toString().equals("setQryVO")) {
         this.initButtonsForLC();
         this.getAssDetailView().setQryVO((GlQueryVO)((GlQueryVO)objData).clone());
      }

      return null;
   }

   public static void main(String[] args) {
      try {
         JFrame exception = new JFrame();
         ToftPanelView aToftPanelView = new ToftPanelView();
         exception.setContentPane(aToftPanelView);
         exception.setSize(aToftPanelView.getSize());
         exception.addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
               System.exit(0);
            }
         });
         exception.show();
         Insets insets = exception.getInsets();
         exception.setSize(exception.getWidth() + insets.left + insets.right, exception.getHeight() + insets.top + insets.bottom);
         exception.setVisible(true);
      } catch (Throwable var4) {
         System.err.println("nc.ui.pub.ToftPanel 的 main() 中发生异常");
         var4.printStackTrace(System.out);
      }

   }

   public void nextClosed() {
   }

   public void onButtonClicked(ButtonObject bo) {
      try {
         for(int e = 0; e < this.m_Buttons.length; ++e) {
            if(bo.equals(this.m_Buttons[e])) {
               this.getAssDetailView().tackleBnsEvent(this.m_Buttons[e].getTag());
               break;
            }
         }
      } catch (Exception var3) {
         this.showErrorMessage(var3.getMessage());
      }

   }

   public void removeListener(Object objListener, Object objUserdata) {
   }

   public void showMe(IParent parent) {
      parent.getUiManager().removeAll();
      parent.getUiManager().add(this, this.getName());
      this.p_parent = parent;
      this.getAssDetailView().setIParent(this.p_parent);
   }
}
